{ config, lib, pkgs, ... }:
{
  services.ddclient = {
    enable = config.system.server.enable;
    protocol = "cloudflare";
    zone = "${config.domains.p2}";
    usev6 = "";
    username = "token";
    passwordFile = "${pkgs.writeText "cloudflareapikey" config.secrets.flareApiKey}";
  };
  environment.persistence."/persist".directories = lib.mkIf config.services.ddclient.enable [
    "/var/lib/private/ddclient"
  ];
}
